"use strict";
const path = require("path");
import development from './development'
import production from './production'
import test from './test'

let env = {
  development,
  test,
  production,
}

let config = {
  app: {
    root: path.normalize(path.join(__dirname, "/..")),
    env: process.env.NODE_ENV || 'dev',
    host: '',
    port: 3008,
    name: "operation_configuration_center",
    excluded: "excluded_path",
    default_avatar: ''
  },
  jwt: {
    secret: 'operation_configuration_center', // 默认
  },
  redis: {
    host: '127.0.0.1',
    port: 6379
  }
};
config = (function (config, env, NODE_ENV) {
  return {...config, ...env[NODE_ENV || "development"]()}
}(config, env, process.env.NODE_ENV));

export default config
