"use strict";
const path = require("path");
const _ = require("lodash");

console.log('process.env.NODE_ENV = ', process.env.NODE_ENV)
// let env = process.env.NODE_ENV = process.env.NODE_ENV || "production";
let env = process.env.NODE_ENV = process.env.NODE_ENV || "development";
console.log('env = ', env)
let base = {
  app: {
    root: path.normalize(path.join(__dirname, "/..")),
    env: env,
    port: 3008,
  },
  jwt: {
    secret: 'dingtone', // 默认
  },
  // mongodb: {
  //   url: process.env.MONGO_URL || 'mongodb://localhost:27017/occ-test',
  // },
  // mongodbOptions: { // mongodb用户和密码
  //   user: '',
  //   pass: '',
  //   useNewUrlParser: true,
  //   useCreateIndex: true
  // },
  // mysql: {
  //     host: 'localhost',
  //     port : 3306,
  //     user : 'test',
  //     password : 'test',
  //     database : 'test'
  // }
};

let specific = {
  development: {
    app: {
      port: 3008,
      name: "frontend_share_microservice",
      excluded: "excluded_path"
    },
    mongodb: {
      url: 'mongodb://localhost:27017/occ_dev',
      // url: 'mongodb://178.128.218.86:27017/occ_test',
      // url: 'mongodb://178.128.218.86:27017/occ_prod',
    },
    mongodbOptions: {
      useNewUrlParser: true,
      useCreateIndex: true
    },
  },
  test: {
    app: {
      port: 3008,
      name: "frontend_share_microservice",
      excluded: "excluded_path"
    },
    mongodb: {
      // url: process.env.MONGO_URL || 'mongodb://127.0.0.1:27017/occ_test',
      url: 'mongodb://178.128.218.86:27017/occ_test',
    },
    mongodbOptions: { // mongodb用户和密码
      user: 'jack',
      pass: "damowang",
      useNewUrlParser: true,
      useCreateIndex: true
    }
  },
  production: {
    app: {
      port: 3008,
      name: "frontend_share_microservice",
      excluded: "excluded_path"
    },
    mongodb: {
      url: 'mongodb://178.128.218.86:27017/occ_prod',
    },
    mongodbOptions: { // mongodb用户和密码
      user: 'jack',
      pass: 'damowang',
      useNewUrlParser: true,
      useCreateIndex: true
    },
  },
};

module.exports = _.merge(base, specific[env]);
