'use strict'
import {
  UserModel
} from '../schemas'

exports.hasBody = async (ctx, next) => {
  let body = ctx.request.body || {};
  console.log(body)

  if (Object.keys(body).length > 0) {
    ctx.body = {
      success: true,
      err: '缺少参数'
    }
    return next();
  }
  await next();
}


exports.hasToken = async (ctx, next) => {
  let accessToken = ctx.request.accessToken;

  if (!accessToken) {
    accessToken = ctx.request.body.accessToken
  }

  if (!accessToken) {
    ctx.body = {
      success: false,
      err: '令牌失败'
    }
    return next();
  }

  const user = await UserModel.findOne({accessToken: accessToken}).exec();
  if (!user) {
    ctx.body = {
      success: false,
      err: '用户没登陆'
    }

    return next
  }

  ctx.session = ctx.session || {}
  ctx.session.user = user

  await next()

}
