// import mongoose from 'mongoose'
// import bcrypt from 'bcrypt'
// const User = mongoose.model('user');

import {LoginService} from '../../services/auth'

class LoginController {

  async login(ctx) {
    const {body} = ctx.request
    console.log(body,33333)
    try {
      const result = await LoginService.login(body)
      ctx.state.user = result.userInfo
      ctx.send(200, {
        code:1,
        message: 'login success',
        data: result
      })
    } catch (error) {
      console.log(error)
      ctx.send(500, {
        code:0,
        message: error.toString(),
        data: null
      })
    }
  }

  async getUserInfo(ctx) {
    const {query} = ctx.request
    try {
      const result = await LoginService.getUserInfo(query)
      ctx.state.user = result
      ctx.send(200, {
        code:1,
        message: 'login success',
        data: result
      })
    } catch (error) {
      console.log(error)
      ctx.send(500, {
        code:0,
        message: error.toString(),
        data: null
      })
    }
  }

  async register(ctx) {
    const {body} = ctx.request;
    try {
      let result = await LoginService.register(body)
      ctx.status = 200;
      ctx.body = {
        code:1,
        message: '注册成功',
        data: result
      }
    } catch (error) {
      console.log(error)
      ctx.send(500, {
        code:0,
        message: error.toString(),
        data: null
      })
    }
  }

}

export default new LoginController();
