'use strict';

import compose from 'koa-compose';
import Router from 'koa-router';

import apiRouter from './api';
import campaignRouter from './campaign';

const router = new Router();

router.get('/', async (ctx, next) => {
  // ctx.type = 'html'
  // ctx.body = require('fs').createReadStream(__dirname + '/../public/main.html')
  await ctx.render('./main',{description:'good',title:'首页'})
})

router.get('/test', async (ctx, next) => {
  ctx.body = {
    success: true,
    data: {test: 'test'}
  }
})

router.use('/api', apiRouter.routes(), apiRouter.allowedMethods())
router.use('/share*', campaignRouter.routes(), campaignRouter.allowedMethods())

// router.use('/admin', adminRouter.routes(), adminRouter.allowedMethods())
// router.use('/auth', RouterAuth.routes(), RouterAuth.allowedMethods())
// router.use('/open', RouterOpen.routes(), RouterOpen.allowedMethods())
// router.use('/mock', RouterMock.routes(), RouterMock.allowedMethods())
// router.use(/^\/invite(?:\/|$)/, RouterInvite.routes(), RouterInvite.allowedMethods())

router.get('*', async (ctx, next) => {
  ctx.body = {status: 404}
})

export default function routes() {
  return compose(
    [
      router.routes(),
      router.allowedMethods()
    ]
  )
}
