"use strict";
import mongoose from "mongoose";

const Schema = mongoose.Schema;
// import uuid from 'uuid';
const CampaignSchema = new Schema({
  // campaignRecordId: {
  //   type: Schema.ObjectId
  // },
  campaignName: {
    type: String,
    unique: true,
  },
  campaignNickName: {
    type: String,
    unique: true,
  },
  campaignUrl: {
    type: String,
    default: "",
  },
  campaignCode: {
    type: String,
    unique: true,
  },
  campaignPid: {
    type: String,
    unique: true,
    default: "0000001",
  },
  productId: {
    type: String,
    default: "1000000",
  },
  // actTypeId: {
  //   type: Schema.Types.ObjectId,
  //   ref: 'campaign_type',
  // },
  active: {
    type: Boolean,
    default: false,
  },
  verified: {
    type: Boolean,
    default: false,
  },
  createAt: {
    type: Date,
    dafault: Date.now(),
  },
  updateAt: {
    type: Date,
    dafault: Date.now(),
  },
  meta: {
    og_title: { type: String, default: "" },
    og_image: { type: String, default: "" },
    og_site_name: { type: String, default: "" },
    og_url: { type: String, default: "" },
    og_type: { type: String, default: "" },
    description: { type: String, default: "" },
    title: { type: String, default: "" },
  },
});

// Defines a pre hook for the document.
CampaignSchema.pre("save", function (next) {
  if (!this.updateAt) {
    this.createAt = this.updateAt = Date.now();
  } else {
    this.updateAt = Date.now();
  }
  next();
});

/**
 * 活动类型
 */
const CampaignTypeSchema = new Schema({
  type: { type: String, default: "" },
  name: { type: String, default: "" },
  description: { type: String, default: "" },
});

// export const ActTypeModel = mongoose.model('campaign_type', ActTypeSchema)
export const CampaignModel = mongoose.model("campaign", CampaignSchema);
