'use strict'
import mongoose from 'mongoose';

const Schema = mongoose.Schema;
const DomainNameSchema = new Schema({
  productId: {
    type: String,
    default: '1000000'
  },
  productName: {
    type: String
  },
  domainSet: {
    type: Array,
    default:[]
  },
  createAt: {
    type: Date,
    dafault: Date.now()
  },
  updateAt: {
    type: Date,
    dafault: Date.now()
  },
})

// Defines a pre hook for the document.
DomainNameSchema.pre('save', function (next) {
  if (!this.updateAt) {
    this.createAt = this.updateAt = Date.now()
  }
  else {
    this.updateAt = Date.now()
  }
  next()
})

export const DomainNameModel = mongoose.model('domain_name', DomainNameSchema)

/**
 *
 {
"productId":"1000000",
"productName":"Dingtone",
"domainSet":[
"freecallsandsmstext.com",
"freewificallingapp.com",
"usasecondline.com",
"usasecondline.net",
"ussecondline.org",
"freesmstextapp.com",
"smteap.com",
"smstextapp.org",
"smstextapponline.com",
"smstextapp.net",
"textandcallfree.com",
"textandcallfree.net",
"textandcallfree.org",
"textandcallfreeonline.com",
"callingfreeapp.com",
"freetextfree.com",
"freecallfree.com",
"freetextfree.net",
"freetextfree.org",
"freecallfree.net"
]
}

 {
"productId":"1000001",
"productName":"TalkU",
"domainSet":[
"wificallingapp.com",
"freeusnumber.com",
"ussecondline.com",
"freevoipapp.com",
"callandtextapp.com",
"cheapcallingapp.com",
"freesecondline.com",
"cheaptextingapp.com",
"smstextapp.com",
"freetextnowapp.com",
"cheapmessageapp.com",
"freephonecallapp.com",
"bestmessageapp.com",
"callandtextapp.net",
"callandtextapp.org",
"callandtextapps.com",
"callandtextapps.net",
"cheapmessageapp.net",
"cheapmessageapp.org",
"freemessageapp.com",
"freemessageapp.net",
"unlimitedtextapp.com"
]
}

 *
 */

