'use strict'
import mongoose from 'mongoose';

const Schema = mongoose.Schema;
// import uuid from 'uuid';
const InviteSchema = new Schema({
  inviteName: String,
  nickname: String,
  verified: {
    type: Boolean,
    default: false
  },
  meta: {
    createAt: {
      type: Date,
      dafault: Date.now()
    },
    updateAt: {
      type: Date,
      dafault: Date.now()
    },
    og_title: String,
    og_image: String,
    og_site_name: String,
    og_url: String,
    og_type: String,
    description: String,
    moduleName: String,
  }
})

// Defines a pre hook for the document.
InviteSchema.pre('save', function (next) {
  if (this.isNew) {
    this.meta.createAt = this.meta.updateAt = Date.now()
  }
  else {
    this.meta.updateAt = Date.now()
  }
  next()
})

export const InviteModel = mongoose.model('Invite', InviteSchema)
