"use strict";
import mongoose from "mongoose";

const Schema = mongoose.Schema;
const ProductInfoSchema = new Schema({
  productId: {
    type: String,
    default: "1000000",
    unique: true,
  },
  productName: {
    type: String,
    unique: true,
  },
  domainSet: {
    type: Array,
    default: [],
  },
  createAt: {
    type: Date,
    dafault: Date.now(),
  },
  updateAt: {
    type: Date,
    dafault: Date.now(),
  },
});

// Defines a pre hook for the document.
ProductInfoSchema.pre("save", function (next) {
  if (!this.updateAt) {
    this.createAt = this.updateAt = Date.now();
  } else {
    this.updateAt = Date.now();
  }
  next();
});

export const ProductInfoModel = mongoose.model("product_info", ProductInfoSchema);
