'use strict'
import mongoose from 'mongoose';
const Schema = mongoose.Schema;

const UserSchema = new Schema({
  username: String,
  name: String,
  nickname: String,
  password: String,
  avatar: String,
  phoneNumber: {
    unique: true,
    type: String
  },
  email: {
    unique: true,
    type: String
  },
  areaCode: String,
  verifyCode: String,
  roles: {
    type: Array,
    default: ['editor']
  },
  verified: {
    type: Boolean,
    default: false
  },
  accessToken: String,
  gender: String,
  breed: String,
  age: String,
  meta: {
    createAt: {
      type: Date,
      dafault: Date.now()
    },
    updateAt: {
      type: Date,
      dafault: Date.now()
    }
  }
})

UserSchema.pre('save', function(next) {
  if (this.isNew) {
    this.meta.createAt = this.meta.updateAt = Date.now()
  }
  else {
    this.meta.updateAt = Date.now()
  }
  next()
})

export const UserModel = mongoose.model('user', UserSchema)
