import bcrypt from 'bcrypt'
import jsonwebtoken from 'jsonwebtoken'
import config from "../../config";

export const createJwtToken = user =>
  new Promise((resolve, reject)=>{
    if(!user){
      reject("请输入用户信息")
    }

    const token = jsonwebtoken.sign({
      data: {username:user.username ,password:user.password},
      // 设置 token 过期时间
      exp: Math.floor(Date.now() / 1000) + (60 * 60), // 60 seconds * 60 minutes = 1 hour
    }, config.jwt.secret)

    if (token) {
      resolve(token);
    }

    reject('Ops! Token 生成失败');
  })

