import mongoose from 'mongoose'
import bcrypt from 'bcrypt';

const User = mongoose.model('user')

class UserService {

  async getUserByUsername(body) {
    return await User.findOne({username: body.username})
  }

  async setUserByToken(data) {
    return await User.updateOne({username: data.username},{accessToken: data.token})
  }

  async getUserByToken(query) {
    return await User.findOne({accessToken: query.token})
  }

  async getUserByNameAndPassword(body) {
    const password = await bcrypt.hash(body.password, 5)
    return await User.findOne({username: body.username, password: password})
  }

  async getUserByEmailAndPassword(body) {
    //await bcrypt.compare(body.password, user.password)
    const password = await bcrypt.hash(body.password, 5)
    return await User.findOne({password: password, email: body.email})
  }
}

export default new UserService()
