const schedule = require('node-schedule');
import mongoose from 'mongoose'

export function getModels(name) {
  name = name.toLowerCase();
  return mongoose.model(name);
}


//每天的凌晨0点0分0秒触发
export function refreshVPTCountDaily(){
  schedule.scheduleJob('0 0 0 * * *',()=>{
    console.log('scheduleCronstyle成功调用:' + new Date());
    refreshVPTCount('day')
  }); 
}

//每周1的凌晨0点0分0秒触发
export function refreshVPTCountWeek(){
  schedule.scheduleJob('0 0 0 * * 1',()=>{
    console.log('scheduleCronstyle:' + new Date());
    refreshVPTCount('week')
  }); 
}

//每月1日的凌晨0点0分0秒触发
export function refreshVPTCountMonth(){
  schedule.scheduleJob('0 0 0 1 * *',()=>{
    console.log('scheduleCronstyle:' + new Date());
    refreshVPTCount('month')
  })
}

async function refreshVPTCount(VPTType) {
    try{
        const KeywordsModel = getModels('keywords'); 
        let keywordsEntity =await KeywordsModel.find({ VPTType }).limit(1).exec();
        
        if(keywordsEntity.length===0){
          return
        }
        
        //更新VPTCount
        keywordsEntity[0].VPTCount=keywordsEntity[0].VPT
        keywordsEntity[0].active=true
        let params={_id:keywordsEntity[0]._id}
        await KeywordsModel.findOneAndUpdate(params,{$set:keywordsEntity[0]},{new:true})
    }catch(e){
        console.log(e)
    }  
  }